diff -pruN 0.30.4-1/debian/changelog 0.30.4-2/debian/changelog
--- 0.30.4-1/debian/changelog	2021-01-17 08:49:20.000000000 +0000
+++ 0.30.4-2/debian/changelog	2021-01-26 10:42:46.000000000 +0000
@@ -1,3 +1,10 @@
+cyvcf2 (0.30.4-2) unstable; urgency=medium
+
+  * Pull Upstream PR to fix ppc64el build
+    (Closes:#956675)
+
+ -- Nilesh Patra <npatra974@gmail.com>  Tue, 26 Jan 2021 16:12:46 +0530
+
 cyvcf2 (0.30.4-1) unstable; urgency=medium
 
   * Team upload.
diff -pruN 0.30.4-1/debian/patches/188.patch 0.30.4-2/debian/patches/188.patch
--- 0.30.4-1/debian/patches/188.patch	1970-01-01 00:00:00.000000000 +0000
+++ 0.30.4-2/debian/patches/188.patch	2021-01-26 10:41:37.000000000 +0000
@@ -0,0 +1,34 @@
+From de01c8521677dacb018f2982518a948bf15571d1 Mon Sep 17 00:00:00 2001
+From: Nils Homer <nh13@users.noreply.github.com>
+Date: Wed, 20 Jan 2021 23:28:43 -0800
+Subject: [PATCH] Fix https://github.com/brentp/cyvcf2/issues/182
+
+---
+ cyvcf2/tests/test_reader.py | 9 +++++++--
+ 1 file changed, 7 insertions(+), 2 deletions(-)
+
+--- a/cyvcf2/tests/test_reader.py
++++ b/cyvcf2/tests/test_reader.py
+@@ -333,7 +333,9 @@
+     w.write_record(rec)
+     w.close()
+ 
+-    v = next(VCF(f))
++    fh = VCF(f)
++    v = next(fh)
++    fh.close()
+     assert v.INFO["myflag"] is True, dict(v.INFO)
+ 
+     f = tempfile.mktemp(suffix=".vcf")
+@@ -341,7 +343,10 @@
+     w = Writer(f, vcf)
+     rec.INFO["myflag"] = False
+     w.write_record(rec)
+-    v = next(VCF(f))
++    w.close()
++    fh = VCF(f)
++    v = next(fh)
++    fh.close()
+     assert_raises(KeyError, v.INFO.__getitem__, "myflag")
+ 
+ 
diff -pruN 0.30.4-1/debian/patches/series 0.30.4-2/debian/patches/series
--- 0.30.4-1/debian/patches/series	2021-01-17 08:49:20.000000000 +0000
+++ 0.30.4-2/debian/patches/series	2021-01-26 10:41:30.000000000 +0000
@@ -1,2 +1,3 @@
 add_htslib_link_dependency.patch
 #spelling
+188.patch
